/******************
    User custom CSS
    ---------------
    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/
@font-face {
    font-display: swap;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 300;
    src: url('/fonts/ubuntu-v20-latin-300.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/ubuntu-v20-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 500;
    src: url('/fonts/ubuntu-v20-latin-500.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 700;
    src: url('/fonts/ubuntu-v20-latin-700.woff2') format('woff2');
}

:root {
    --color-1: #0a2046;
    --color-2: #071630;
    --color-3: #fff;
    --color-4: #143f89;
    --color-5: #113573;
    --color-6: #0d2a5d;
    --color-7: #35363f;
    --color-8: #163c19;
    --color-9: #2f2b8b;
    --color-10: #f6863a;
    --color-11: #a94442;
    --color-12: #808080;
    --color-13: #a0a0a0;
    --color-primary: #f9f300;
    --color-secondary: #FFD000;
    --color-third: #f2de00;
    --color-warning: #FF2C00;
    --color-body: #505050;
    --color-black: #000;
}

body {
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
}

.fruity .btn-primary,
.fruity .btn-primary.disabled,
.fruity .btn-primary.disabled.active,
.fruity .btn-primary.disabled:active,
.fruity .btn-primary.disabled:focus,
.fruity .btn-primary.disabled:hover {
    background-color: var(--color-primary);
    border: 1px solid var(--color-third);
}

.fruity .btn-check:active+.btn-primary,
.fruity .btn-check:checked+.btn-primary,
.fruity .btn-check:focus+.btn-primary,
.fruity .btn-primary.active,
.fruity .btn-primary.active.active,
.fruity .btn-primary.active:focus,
.fruity .btn-primary:active,
.fruity .btn-primary:focus,
.fruity .btn-primary:hover,
.fruity .open .dropdown-toggle.btn-primary {
    background-color: var(--color-body);
    border: 1px solid var(--color-body);
    color: var(--color-3);
}

.fruity .btn-primary {
    color: var(--color-body);
}

.fruity a.list-group-item-danger.active,
.fruity a.list-group-item-danger.active:focus,
.fruity a.list-group-item-danger.active:hover {
    background-color: var(--color-warning);
    border: 1px solid var(--color-warning);
    color: var(---color-3);
}

.fruity .alert-danger {
    border: 1px solid var(--color-warning);
    color: var(--color-warning);
}

.fruity .list-group-item-warning {
    background-color: var(--color-secondary);
    color: var(--color-body);
}

.fruity .list-group-item-danger {
    background-color: var(--color-warning);
    color: var(--color-3);
}

.fruity a.list-group-item-danger {
    color: var(--color-warning);
}

.fruity a.list-group-item-danger:focus,
.fruity a.list-group-item-danger:hover {
    background-color: var(--color-secondary);
    color: var(--color-warning);
}

.fruity .bg-danger {
    background-color: var(--color-warning) !important;
}

.fruity .bg-warning {
    background-color: var(--color-secondary) !important;
}

.fruity .text-info,
.fruity .text-primary,
.fruity .text-success {
    color: var(--color-12) !important;
}

.fruity .error {
    color: var(--color-warning);
}

.fruity .alert-warning {
    background-color: transparent;
    border: 1px solid var(--color-warning);
    color: var(--color-warning);
}

.fruity a {
    color: var(--color-body);
    text-decoration: underline;
}

.fruity a:hover {
    color: var(--color-body);
    text-decoration: none;
}

input[type="radio"]::before,
.radio input[type="radio"]::before,
.radio-inline input[type="radio"]::before {
    background-color: var(--color-primary) !important;
}

#surveys-list-jumbotron {
    margin-bottom: 2rem;
}

.alert {
    margin-bottom: 2rem;
}

#error-card {
    padding: 6rem 2rem;
    border: 1px solid var(--color-12);
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    background: #fff url("../files/block.gif") no-repeat;
    background-position: left center;
    background-size: 180px auto;
}

@media screen and (max-width: 640px) {
    #error-card {
        padding: 2rem;
    }
}

#error-card .card-body {
    padding-left: 20%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.fruity .text-danger {
    display: inline-block;
    color: var(--color-body) !important;
    background-color: var(--color-primary);
    padding: .5rem 1rem;
}

.fruity .text-danger.asterisk,
.fruity sup.text-danger {
    color: var(--color-warning) !important;
    background-color: transparent;
    padding: 0px 4px 0 0;
}

@media screen and (max-width: 640px) {
    #survey-nav .navbar {
        display: flex;
        flex-direction: row-reverse;
    }

    #survey-nav .navbar .logo-container {
        display: block !important;
    }
}

.fruity .navbar {
    background-color: var(--color-primary) !important;
}

.fruity .btn-outline-secondary {
    background-color: hsla(0, 0%, 100%, .2);
    border: 1px solid var(--color-body);
    color: var(--color-body);
}

.fruity .btn-outline-secondary:hover {
    background-color: var(--color-body);
    border: 1px solid var(--color-body);
    color: var(--color-3);
}

/* .fruity .card-primary>.card-header {
    background-color: var(--color-primary);
    border: 1px solid var(--color-second);
    color: var(--color-body);
} */

.card {
    margin-bottom: 3rem !important;
}

label {
    margin-bottom: 5px !important;
}

.bg-light {
    --bs-bg-opacity: 1;
    background-color: rgba(250, 250, 250, 0.7) !important;
}

.fruity .input-group-addon,
.fruity .input-group-text {
    background-color: var(--color-primary);
    color: var(--color-black);
}

/************************* Radio Button */
.radio-item {
    display: flex !important;
    align-items: center;
    margin-bottom: 5px;
}

.radio-item label {
    margin-bottom: 0 !important;
    line-height: 20px;
}

.radio-item input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    margin: 0 5px 0 0;
    font: inherit;
    color: var(--color-primary);
    width: 20px;
    height: 20px;
    border: 1px solid var(--color-13);
    border-radius: 50%;
    transform: translateY(-0.075em);
}

.radio-item input[type="radio"]::before {
    content: "";
    width: 12px;
    height: 12px;
    border-radius: 50%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    /* box-shadow: inset 1em 1em rgba(0,0,0,0.4); */
}

.radio-item input[type="radio"]:checked::before {
    transform: scale(1);
}

.radio-item input[type="radio"]::before {
    position: absolute !important;
    left: 3px !important;
    top: 3px !important;
    background-color: var(--color-primary) !important;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
}

body .answer-item label:after {
    background-color: var(--color-primary);
}

/************************* Checkbox */
.col-form-label {
    display: block;
    margin-bottom: .125rem;
    min-height: 1.5rem;
    padding-left: 1.5em
}

.col-form-label .form-check-input {
    float: left;
    margin-left: -1.5em
}

.me-2 {
    color-adjust: exact;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #fff;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    border: 1px solid rgba(0, 0, 0, .25);
    height: 1em;
    margin-top: .25em;
    -webkit-print-color-adjust: exact;
    vertical-align: top;
    width: 1em
}

.me-2[type=checkbox] {
    border-radius: .25em
}

.form-check-input[type=radio] {
    border-radius: 50%
}

.me-2:active {
    filter: brightness(90%)
}

.me-2:focus {
    border-color: #86b7fe;
    box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);
    outline: 0
}

.me-2:checked {
    background-color: #0d6efd;
    border-color: #0d6efd
}

.me-2:checked[type=checkbox] {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3E%3C/svg%3E")
}

.me-2:checked[type=radio] {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3E%3Ccircle r='2' fill='%23fff'/%3E%3C/svg%3E")
}

.me-2:checked,
.form-check-input:checked {
    background-color: var(--color-primary);
    border-color: var(--color-third);
}

.me-2:checked[type="checkbox"],
.form-check-input:checked[type="checkbox"] {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3E%3C/svg%3E");
}

.fruity .progress-bar {
    background-color: var(--color-primary);
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .15);
    color: var(--color-black);
}

.checkbox-item input[type=checkbox]:checked+label:after, .checkbox-item input[type=radio]:checked+label:after {
    background-color: var(--color-primary);
    color: var(--color-black);
}